JobSub - Bug #5511

Make sure jobsub_api.conf.rpmnew is created by rpms
02/25/2014 10:38 AM - Parag Mhashilkar

Status: Closed Start date: 02/25/2014
Priority: Normal Due date:

Assignee: Dennis Box % Done: 100%
Category: JobSub Server RPM Estimated time: 0.00 hour
Target version: v0.2 Spent time: 0.00 hour
First Occurred: Stakeholders:

Occurs In:

Description

We need to make sure jobsub_api.conf

History

#1 - 03/04/2014 09:16 AM - Dennis Box

- Status changed from Assigned to Resolved

Verified that the rpm creates .rpmnew and .rpmsave files according to the rules. | found this documentation at

http://www-uxsup.csx.cam.ac.uk/~jw35/docs/rpm_config.html

In summary: if a file is not marked as a config file, or if a file has not been altered since installation, then it will be sliently replaced by the version from
an update RPM. If a config file has been edited on disk, but is not actually different from one RPM to another then the edited version will be silently
left in place. It is only when a config file has been edited and is different from one RPM to the next that what happens depens on the (noreplace)
option. If absent, the new file will be installed, and the the old edited version will be renamed with a .rpmsave suffix. If present, the edited version will
be left in place, and the new version will be installed with a .rpmnew suffix. | don't know what happens if RPM needs to create an .rpmsave or
.rpmnew file and one already exists - at least in some cases it seems that the new file isn't written under these circumstances.

#2 - 03/26/2014 10:25 AM - Parag Mhashilkar
- % Done changed from 0 to 100

#3 - 04/02/2014 10:07 AM - Parag Mhashilkar

- Status changed from Resolved to Closed
